%DO NOT EDIT THIS AUTOMATICALLY GENERATED FILE, run "make changelog" at toplevel!!!
The major changes among the different CircuiTikZ versions are listed
here. See \url{https://github.com/circuitikz/circuitikz/commits} for a
full list of changes.

\begin{itemize}
\item
  Version 1.8.6 (2026-05-24)

  A shiny new style for the manual, with a new example code
  implementation by Jonathan P. Spratte, based on
  \href{https://ctan.org/pkg/enverb?lang=en}{the package
  \texttt{enverb}}. The manual now avoid writing \emph{hundreds} of
  auxiliary files, and compiles significantly faster. Additionally, now
  the manual can be compiled with \texttt{lwarp}, enabling the creation
  of a pure-HTML version. Additionally, a new option to simplify
  building custom blocks, thanks to a
  \href{https://github.com/circuitikz/circuitikz/issues/925}{suggestion
  by Matthias Jung}

  \begin{itemize}
  \tightlist
  \item
    New manual style, with new example code based on \texttt{enverb}
    (mainly by
    \href{https://github.com/circuitikz/circuitikz/pull/920}{Jonathan P.
    Spratte})
  \item
    New option \texttt{border} for \texttt{component\ text} that applies
    to the \texttt{twoportsplit} component
  \item
    New option \texttt{jfet\ gate\ height} to move the vertical position
    of JFET gate, triggered by
    \href{https://tex.stackexchange.com/q/762783/38080}{this question by
    Vector}
  \item
    New options for relative gate thickness in FETs and MOSFETs, and
    rounded caps for transistors; suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/934}{Michael
    Köfinger et al.}
  \item
    Fixed a nasty bug with \texttt{ooosourcetrans}, thanks to
    \href{https://github.com/circuitikz/circuitikz/issues/935}{user
    sputeanus} for spotting it.
  \end{itemize}
\item
  Version 1.8.5 (2026-02-4)

  The main highlight of this version is a new mechanism for managing
  advanced (that is, user-defined) voltage, current, and flow elements.
  Additionally, a new set of shapes for ideal filter blocks has been
  added.

  \begin{itemize}
  \tightlist
  \item
    Add ``automatic advanced voltages/currents/flows''
    \href{https://github.com/circuitikz/circuitikz/discussions/911}{(by
    Romano)}, marked as experimental for now.
  \item
    Add an \texttt{ideal\ filter} option for plot-type filters, to draw
    ideal (square) filter shapes.
  \end{itemize}
\item
  Version 1.8.4 (2026-01-07)

  The main highlights of this release are a new appearance (optional!)
  for blocks representing filters, some option to add style to the inner
  drawings of blocks (and some fixes for anchors too), and several new
  options.

  \begin{itemize}
  \tightlist
  \item
    Add a new set of filter blocks, add options for inner block drawings
    (by Romano)
  \item
    Add the option to \emph{not} draw the wiper in rotary switches,
    suggested by
    \href{https://tex.stackexchange.com/questions/755499/circuitkiz-customize-the-style-of-the-rotary-switch-position-display}{@kabenyuk
    and @cis in this Q\&A}
  \item
    Add an option to change the aspect of \texttt{msrstub} (thanks to
    user cis, see
    \href{https://chat.stackexchange.com/transcript/message/68629615\#68629615}{relevant
    chat on TeX.SX})
  \item
    Add the singeneric (sine generic bipole) component (by
    \href{https://github.com/circuitikz/circuitikz/pull/907}{Jakob
    Leide})
  \item
    Fix a problem with dc symbol dashes, see
    \href{https://github.com/circuitikz/circuitikz/issues/897}{this
    issue on GitHub}
  \item
    Fix position of the left/right up/down anchors for node-type blocks
    (they did not obey the \texttt{pos} keys) and for amplifier-type
    blocks when boxed
  \item
    Minor fixes in the manual (thanks
    \href{https://github.com/circuitikz/circuitikz/issues/891}{quark67}!)
  \item
    Make the value of \texttt{bipoles/length} usable by
    \texttt{\textbackslash{}ctikzvalof} (by
    \href{https://github.com/circuitikz/circuitikz/pull/900}{Jonathan P.
    Spratte})
  \item
    Add a key to customise the number of lines of the \texttt{gridnode}
    inner drawing (by
    \href{https://github.com/circuitikz/circuitikz/pull/906}{Jakob
    Leide})
  \end{itemize}
\item
  Version 1.8.3 (2025-11-23)

  The main highlight of this version is the fix of the oo-type sources
  and transformers. They used parameters different from width and height
  to define the shape, and the anchors were not stable (and some of them
  were plain wrong). It also adds several capabilities to them (anchors,
  additional windings, and so on). Additionally, IGT thyristors and a
  couple of generic shapes (AC/DC symbols) have been added.

  \begin{itemize}
  \tightlist
  \item
    Add anchors, additional winding, global scale switch and symbol
    rotation to the oo-type component, suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/886}{Jakob
    Leide}
  \item
    Add IGCT thyristors by
    \href{https://github.com/circuitikz/circuitikz/pull/881}{Paul Sacco}
  \item
    Add ac/dc symbols (by Romano)
  \item
    Fix definition and stabilize anchors of oo- and ooo-type components.
  \item
    Fix encoding of the manual, removing some latin1 chars and
    converting to utf8. Why that was working is a mystery.
  \end{itemize}
\item
  Version 1.8.2 (2025-07-08)

  Another significant change for Circuitikz's internals: all the text
  anchors of the components are now stable, meaning they are meaningful
  after the component has been drawn. That was the case only for part of
  the components. It \emph{shouldn't} affect anything for standard
  usage, but according to the Ti\emph{k}Z manual, this is ``the way''.
  Additionally, new label positions for transistors, and a much better
  alphabetical index in the manual.

  \begin{itemize}
  \tightlist
  \item
    Stabilize all the text anchors (problem
    \href{https://github.com/circuitikz/circuitikz/pull/876}{reported by
    user \texttt{@JPWiedemann} on GitHub}, while coding the
    \href{https://github.com/Circuit2TikZ/CircuiTikZ-Designer}{Circuitikz
    GUI}
  \item
    Fix text anchors for blocks \texttt{oscillator} and
    \texttt{gridnode}, which were completely bogus
  \item
    Add \texttt{component\ text=up} or \texttt{...down} for transistor
    labels
  \item
    Documentation fixes for text anchors
  \item
    Better index entries (use \emph{seealso}, hyperlink in every entry).
    Thanks to David Carlisle for the hint.
  \end{itemize}
\item
  Version 1.8.1 (2025-06-15)

  Minor changes: better documentation on using \texttt{pic}s for
  subcircuits, a new style of MOSFETs, completing the ``plain''
  amplifiers.

  \begin{itemize}
  \tightlist
  \item
    add Andrew Stacey's
    \href{https://ctan.org/pkg/tikzmark?lang=en}{\texttt{tikzmark}
    library} to the manual
  \item
    add FDSOI MOSFETs,
    \href{https://github.com/circuitikz/circuitikz/issues/871}{suggested
    by Raphael Nägele}
  \item
    New component: \texttt{plain\ gm\ mono\ amp} (added by
    \href{https://github.com/circuitikz/circuitikz/pull/873}{Matthias
    Schweikardt})
  \item
    documentation enhancements
  \end{itemize}
\item
  Version 1.8.0 (2025-05-25)

  The change that deserves a version level bump is applied to the path
  logic, which fixes a longstanding bug (or lack of feature), which
  enables the embedding of \texttt{circuitikz} paths into pics (among
  other things; see the related issue).

  \begin{itemize}
  \tightlist
  \item
    Fix errors when path-style components are used in pics (and in some
    other place; fix by Romano,
    \href{https://github.com/circuitikz/circuitikz/issues/866}{see the
    related issue}
  \item
    Add rollback point for version 1.7.2
  \item
    Several fixes and additions to the manual
  \end{itemize}
\item
  Version 1.7.2 (2025-03-21)

  A couple of new components (wiggly bulbs and a new ``oo'' type
  autotransformer), and several small corrections.

  \begin{itemize}
  \tightlist
  \item
    Fix leaking filament in \texttt{bulb} bipole
  \item
    Fix small incoherence between width/height in oo-type sources
  \item
    New component: Wiggly bulb (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/845}{Sebastiano})
  \item
    New component: ``zero-type'' autotransformer (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/852}{Max
    Börjesson})
  \item
    Allow to set the index position for square instruments (by
    \href{https://github.com/circuitikz/circuitikz/pull/848}{Julien
    Labbé})
  \end{itemize}
\item
  Version 1.7.1 (2025-01-10)

  Various new blocks have been added, and several fixes have been
  applied (the barrier one is slightly backward-incompatible\ldots).

  \begin{itemize}
  \tightlist
  \item
    Added a flag to have German style TVS (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/836}{Dr.~Matthias
    Jung}, implemented by Romano)
  \item
    Added many blocks all over the map (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/693}{Dr.~Matthias
    Jung}, with tweaks by Romano)
  \item
    Fix for straight voltage on \texttt{open} bipoles (reported by
    \href{https://github.com/circuitikz/circuitikz/issues/821}{Oliver
    Wallscheid on GitHub})
  \item
    Fix a very, very old bug about aliases for american/european sources
  \item
    Fix \texttt{barrier} wire linewidth (issue
    \href{https://github.com/circuitikz/circuitikz/issues/833}{\#833} by
    schtandard).
  \item
    Fix stroke-type transorb (which did not work at all)
  \item
    Reduce \texttt{barrier} and \texttt{openbarrier} default widths so
    no wire is drawn by default. This breaks backward-compatibility and
    changes the meaning of some associated keys, but the appearance with
    the default settings remains unchanged. See
    \href{https://github.com/circuitikz/circuitikz/pull/835}{\#835} for
    rationale.
  \item
    Documentation enhancement (example of chopper macro)
  \end{itemize}
\item
  Version 1.7.0 (2024-08-03)

  There are no big changes here, but the change to the resistor code
  (maybe one of the most used by the package) well deserves a minor
  version bump. A couple of new components, and several minor fixes.

  \begin{itemize}
  \tightlist
  \item
    New component: new kind of current tap (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/807}{EEpchi
    and Jakob Leide on GitHub})
  \item
    New arrow tip \texttt{Jack\ Tap} to help drawing jack connectors
    (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/806}{Anisio
    Rogerio Braga})
  \item
    Change the drawing of the thermocouple (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/811}{Jakob
    Leide on GitHub})
  \item
    Change and enhancement to the drawing of the American resistors
    (triggered by
    \href{https://github.com/circuitikz/circuitikz/issues/814}{Jakob
    Leide on GitHub}), fixing a long-standing small asymmetry that
    nobody noticed
  \item
    Minor adjustment for joins in \texttt{viscoe} component
  \item
    Minor additions (\texttt{rectjoinfill}) and fixes in documentation
  \end{itemize}
\item
  Version 1.6.9 (2024-05-25)

  Several new components and a bug fix for a nasty long-standing bug
  about switching diode types.

  \begin{itemize}
  \tightlist
  \item
    Added a Relais-Shape (contributed by
    \href{https://github.com/circuitikz/circuitikz/pull/795}{Jakob Leide
    on GitHub})
  \item
    Added a center tap anchor for tube filament (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/792}{user
    bogger33 on GitHub})
  \item
    Added neon lamps (two versions, suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/793}{user
    bogger33 on GitHub})
  \item
    Added a configurable spark gap (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/800}{user
    bogger33 on GitHub})
  \item
    Fix a long-standing problem when
    \href{https://github.com/circuitikz/circuitikz/issues/794}{(locally)
    switching diode type}
  \end{itemize}
\item
  Version 1.6.8 (2024-05-05)

  Several new components, more anchors, a bit of documentation
  enhancement; maybe the biggest change is the new ``flexible'' tube.

  \begin{itemize}
  \tightlist
  \item
    Added \texttt{mid} anchor to all traditional switches
  \item
    Added a slashed generic European-style resistor (thanks to
    \href{https://tex.stackexchange.com/q/711702/38080}{Jana})
  \item
    Added a multi-anode tube for implementing nixies and vfd (thanks to
    \href{https://github.com/circuitikz/circuitikz/issues/785}{GitHub
    user nogger33})
  \item
    Switch the default compiler to pdflatex (see
    https://tex.stackexchange.com/q/709273/38080)
  \item
    Added a warning about color and engine in the documentation
  \item
    Enhanced the documentation for instruments (thanks to
    \href{https://github.com/circuitikz/circuitikz/issues/787}{Github
    user mxxmxm})
  \end{itemize}
\item
  Version 1.6.7 (2024-02-09)

  Several new blocks, more flexible generic anchors for blocks, and a
  new option to align the signs on american-style voltage sources.

  \begin{itemize}
  \tightlist
  \item
    Added \texttt{saturation} block (contributed by
    \href{https://github.com/circuitikz/circuitikz/issues/758}{P. Sacco
    \textless paul.sacco@estaca.eu\textgreater{}})
  \item
    Added \texttt{iamp}, \texttt{sigmoid}, and \texttt{allornothing}
    blocks
  \item
    Added optical fiber \texttt{fiber} (contributed by
    \href{https://github.com/circuitikz/circuitikz/pull/771}{Christopher
    Beck})
  \item
    Now the position of the lateral anchors (\texttt{left\ up} and
    similar) of blocks is configurable (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/769}{user
    ``sputeanus'' on GitHub})
  \item
    Now you can choose how the signs on american-style sources rotate
    when the source is not vertical (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/773}{jotagah
    on GitHub})
  \item
    New section in the manual about related packages
  \end{itemize}
\item
  Version 1.6.6 (2023-12-09)

  Several new components.

  \begin{itemize}
  \tightlist
  \item
    Added the symbol for metal-oxide varistor \texttt{mov}
  \item
    Added another symbol for fuse (wiggly fuse \texttt{wfuse})
  \end{itemize}
\item
  Version 1.6.5 (2023-10-29)

  This version features an important overhaul of the \texttt{muxdemux}
  configurable component/shape, making it much more flexible and
  powerful, by adding configurable labels and negation and clock symbols
  to the pins. Also, a couple of minor fixes/workarounds.

  \begin{itemize}
  \tightlist
  \item
    Added optional and configurable inner, outer and border labels to
    the \texttt{muxdemux} shapes
  \item
    Added optional clock wedge and negation signs to the pins of
    \texttt{muxdemux} shapes
  \item
    Added the possibility to add a background drawing to
    \texttt{muxdemux} shapes
  \item
    Fixed a
    \href{https://github.com/circuitikz/circuitikz/issues/748}{bug} with
    \texttt{straightvoltages} and \texttt{open}
  \item
    Added an (ugly) workaround for a
    \href{https://github.com/circuitikz/circuitikz/issues/747}{voltage
    shift mismatch} for sources
  \end{itemize}
\item
  Version 1.6.4 (2023-10-10)

  A bit of enhancement and fixes for the European-style logic ports,
  more switches (and a bit more configurabilityi for them), more option
  for some sources.

  \begin{itemize}
  \tightlist
  \item
    The symbol in European logic ports is now rotation-invariant, and
    its font can be customized (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/730}{user
    \texttt{@sputeanus} on GitHub})
  \item
    Added a couple of ``blank'' (no symbol) European logic ports
  \item
    Added new ``traditional'' switches (contributed by
    \href{https://github.com/circuitikz/circuitikz/issues/734}{Jakob
    Leide on GitHub})
  \item
    Added configurability (color, thickness, dash) to switch arrows
  \item
    Added ``eyw''-symbol (reverse star) for ``oo''-type sources
    (contributed by
    \href{https://github.com/circuitikz/circuitikz/pull/742}{Jakob Leide
    on GitHub})
  \item
    Added configurable open shape to the sinusoidal current source
    (contributed by
    \href{https://github.com/circuitikz/circuitikz/pull/737}{Maximilian
    Martin})
  \item
    Documentation fixes
  \end{itemize}
\item
  Version 1.6.3 (2023-06-23)

  The main change is that the definition of the ``plus'' and ``minus''
  symbols used in several parts of the library has changed in order to
  achieve better alignment of voltages and amplifier symbols when using
  fonts different from Computer Modern. Additionally, internal
  connection dots in transistors are configurable and have a new
  default, and documentation has got several fixes and enhancements.

  \begin{itemize}
  \tightlist
  \item
    Change the definition of the ``minus'' symbol (see
    \href{https://github.com/circuitikz/circuitikz/issues/721}{this
    issue}) for details
  \item
    Add documentation on how to contact the border of the source symbols
    (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/722}{user
    \texttt{@Tipounk} on GitHub})
  \item
    in transistors, solder dots and connection dots for body diodes
    \href{https://github.com/circuitikz/circuitikz/issues/720}{are now
    configurable}
  \item
    Add anchors for the symbols on the \texttt{oo}-type sources,
    suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/725}{user
    \texttt{@lapreindl} on GitHub}; the symbols have been slightly
    changed and repositioned in the process
  \item
    several documentation fixes
  \end{itemize}
\item
  Version 1.6.2 (2023-05-13)

  Several more styling options for elements (body diodes, transformers,
  crossing), a clock wedge shape for logical circuits, and documentation
  updates for ConTeXt, mainly noticing the (upstream) elimination of the
  thin \texttt{siunitx} layer compatibility macros.

  \begin{itemize}
  \tightlist
  \item
    There is no \texttt{siunitx} support for ConTeXt, point to the
    \texttt{units} package
  \item
    \texttt{context} compatibility can have glitches: please see
    \href{https://github.com/circuitikz/circuitikz/issues/706}{this
    issue}
  \item
    Add styling of \texttt{transform\ core} lines (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/702}{user
    \texttt{@myzinsky} on GitHub})
  \item
    Add \texttt{scale} to the bodydiode options (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/703}{user
    \texttt{@sputeanus} on GitHub})
  \item
    Add styling of crossing vertical line (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/704}{user
    \texttt{@lkjell} on GitHub})
  \item
    Add \texttt{clockwedge} shape (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/705}{user
    \texttt{@Mario1159} on GitHub})
  \end{itemize}
\item
  Version 1.6.1 (2023-02-11)

  New components: solder jumpers; a couple of small but very useful
  inversion markers for logical circuits, especially targeted at the
  mux-demux family; a new inline microphone; a much more versatile hemt;
  a better legacy \texttt{tline}. More tweaks to converters blocks, and
  a lot of typo/grammar fixes in the manual.

  \begin{itemize}
  \tightlist
  \item
    Add configurable dashes to the dc symbols in converter blocks
    (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/680}{user
    \texttt{@dbstf} on GitHub})
  \item
    Add solder jumpers (by Romano)
  \item
    Add a shape to mark european-style inversion (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/679}{user
    \texttt{yashpalgoyal1304} on GitHub}), adjust European-style logic
    port triangle inversion symbols to match
  \item
    Add a tail-less mic (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/689}{Dr.~Mathhias
    Jung}) and an option to change the thickness of the microphone's bar
  \item
    Enhance the \texttt{hemt} shape with a GaN-hemt as example
    (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/691}{user
    \texttt{@epsilon-phi} on GitHub})
  \item
    Add anchors and a ``bare'' option to \texttt{tline} (suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/694}{Dr.~Mathhias
    Jung})
  \item
    subcircuits are no more experimental
  \item
    Correction of several typo/grammar errors in the documentation by
    \href{https://github.com/circuitikz/circuitikz/pull/686}{quark67}
  \end{itemize}
\item
  Version 1.6.0 (2022-12-10)

  The big change is the refactoring (and enhancement) of the block's
  code. In addition, double gate MOSes, several fixes all over the map,
  and quite a lot of anchors were added into the mix.

  \begin{itemize}
  \tightlist
  \item
    Big change (mostly backward compatible, minus a couple of bug fixes)
    to the block's code.

    \begin{itemize}
    \tightlist
    \item
      Now \texttt{vco} can be \texttt{box}ed
    \item
      enabled more short-name geographical anchors
    \item
      generic blocks can be made rectangular
    \item
      mid-way lateral anchors for all blocks, as well as up/down
    \item
      renamed converters anchors (old ones retained for backward
      compatibility)
    \item
      new ac/ac blocks, both single- and three-phase
    \end{itemize}
  \item
    Added double gate MOS transistors (by Romano Giannetti)
  \item
    Fix deformed shape for legacy \texttt{TL} component
    (\href{https://github.com/circuitikz/circuitikz/issues/664}{issue on
    GitHub})
  \item
    Added several anchors on variable components, suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/663}{Dr
    Matthias Jung}
  \item
    Added \texttt{genericsplitter} component (by
    \href{github.com/frankplow}{frankplow})
  \item
    Fix - reshape \texttt{splitter} using
    \texttt{/tripoles/splitter/width} and
    \texttt{/tripoles/splitter/height} rather than
    \texttt{/tripoles/wilkinson/width} and
    \texttt{/tripoles/wilkinson/height}.
  \end{itemize}
\item
  Version 1.5.5 (2022-11-12)

  New features for optoelectronic devices: a new component, arrow
  styling, and anchors.

  \begin{itemize}
  \tightlist
  \item
    Added styling of arrows on opto devices, thanks to a suggestion by
    \href{https://github.com/circuitikz/circuitikz/issues/655}{Dr
    Matthias Jung}
  \item
    Added Light-Dependent resistor shape (by Romano)
  \item
    Added \texttt{arrows} anchors to the opto-components
  \item
    Documentation updates (rotating and flipping for path components)
  \end{itemize}
\item
  Version 1.5.4 (2022-09-09)

  New components and enhancement for old ones in this version.

  \begin{itemize}
  \tightlist
  \item
    Added jumpers, inspired by a question
    \href{https://tex.stackexchange.com/questions/652494/drawing-jumper-pinhead-bridge-with-circuitikz}{on
    TeX.stackexchange}
  \item
    Added generic double bipoles, inspired by user
    \texttt{@erwinderboer}
    \href{https://github.com/circuitikz/circuitikz/issues/641}{on
    GitHub}
  \item
    Added styling for the transistor bodydiode, suggested by user
    \href{https://tex.stackexchange.com/questions/653348/drawing-mosfet-bodydiode-dashed}{Alex
    Ghilas on TeX.stackexchange}
  \item
    Additions to the manual (how to remove pins on amplifiers)
  \end{itemize}
\item
  Version 1.5.3 (2022-07-02)

  Minor release: fixes to the manual, and a new component (Shockley
  diodes).

  \begin{itemize}
  \tightlist
  \item
    Merging changes to fix the language in the manual (thanks to Charles
    B. Cameron, user \texttt{@cameroncb1} on GitHub)
  \item
    Added Shockley diode (suggested by
    \href{https://tex.stackexchange.com/questions/646039/creating-a-shockley-diode-in-circuitikz}{@dauph})
  \end{itemize}
\item
  Version 1.5.2 (2022-05-08)

  Adding a couple of new component and a nice feature to transistors and
  tubes.

  \begin{itemize}
  \tightlist
  \item
    Added TVS diodes (transorb), suggested by
    \href{https://tex.stackexchange.com/q/642219/38080}{Anisio Rogerio
    Braga}
  \item
    Added proximity switches, suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/631}{Anisio
    Rogerio Braga}
  \item
    Added partially drawn tube and transistor borders, suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/602}{Jether
    Fernandes Reis}
  \end{itemize}
\item
  Version 1.5.1 (2022-04-26)

  Bug fix release.

  \begin{itemize}
  \tightlist
  \item
    Do not load package \texttt{regexpatch} by default, thanks to
    \href{https://github.com/circuitikz/circuitikz/issues/628}{GitHub
    user alceu-git}
  \end{itemize}
\item
  Version 1.5.0 (2022-04-22)

  In this version, several internal changes have been included in order
  to streamline and organize better the components and to change the
  management of color. The changes are pretty deep and subtle, so a bug
  or unexpected behaviour is always possible. You can use the 1.4.6
  rollback point in case of trouble, but be sure to report any bug.

  \begin{itemize}
  \tightlist
  \item
    Added connectors shapes, and included the BNC into that class;
    thanks to
    \href{https://github.com/circuitikz/circuitikz/issues/611}{Alexander
    Sauter for suggesting them and helping in the design}
  \item
    Added nullator and norator shapes, suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/615}{user
    atticus-sullivan on GitHub}
  \item
    Added buzzer and reversed buzzer bipoles, suggested by
    \href{https://tex.stackexchange.com/q/640501/38080}{user Michael.H}
  \item
    Added ``dot'' anchors to inductances
  \item
    Added ``boxed only'' option for some circular blocks, suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/621}{user
    myzinsky}
  \item
    Added DIN antenna shape, suggested by
    \href{https://github.com/circuitikz/circuitikz/issues/620}{user
    myzinsky}
  \item
    Fixed block/input arrow connection, thanks to
    \href{https://github.com/circuitikz/circuitikz/issues/613}{Laurenz
    Preindl for reporting}
  \item
    Fixed a problem with generic tunable arrows, noticed thanks to
    \href{https://tex.stackexchange.com/q/637182/38080}{this question on
    TeX.SX}
  \end{itemize}

  Internal changes:

  \begin{itemize}
  \tightlist
  \item
    Added a generic drawing function for shapes, which are now drawn
    always in background
  \item
    Added a hook system to be able to change component drawing settings
    per-shape, per-class or globally
  \item
    All the 250+ shapes are now ``protected'' by possible external arrow
    and arced corners parameters
  \item
    Completely changed the management of the shapes' color, thanks to
    \href{https://github.com/circuitikz/circuitikz/issues/605}{GitHub
    user muzimuzhi}
  \end{itemize}
\item
  Version 1.4.6 (2022-02-04)

  A nasty bug fix and some hack to avoid that some global Ti\emph{k}Z
  option spill into the shapes. To better solve that problem, some risky
  changes are due, so this release will be also a rollback point for
  compatibility reasons.

  \begin{itemize}
  \tightlist
  \item
    Fix bug with legacy transmission lines in \texttt{overlay}s
    (\href{https://github.com/circuitikz/circuitikz/issues/604}{noticed
    by Benedikt Wilde})
  \item
    Robustify some shapes: do not let arrows option pass to the inner
    drawing (see
    \href{https://tex.stackexchange.com/a/632084/38080}{here} and
    \href{https://matrix.to/\#/!NuxCISwYQJuyWwNsEI:matrix.org/$vQO6luq1F66LJ79dERmaqKI46qMBcjStqYCPi725uZE?via=matrix.org\&via=2krueger.de\&via=im.f3l.de}{here})
  \item
    Add warning about global draw options in the manual
  \item
    Fixes in documentation: hyperlink the index again, cite new recovery
    point, remove some legacy construct
  \item
    Added 1.4.6 rollback point
  \end{itemize}
\item
  Version 1.4.5 (2021-12-06)

  Important fix for ConTeXt users, thanks to @TeXnician for reporting.

  \begin{itemize}
  \tightlist
  \item
    Fixed an incompatibility introduced with subcircuits that made
    compilation in ConTeXt fail
  \item
    Added \texttt{\textbackslash{}ctikzflip{[}x{]}{[}y{]}} utility
    macros for ConTeXt too
  \item
    Fixed stray characters in some Ti\emph{k}Z environment
  \end{itemize}
\item
  Version 1.4.4 (2021-10-31)

  Normal maintenance release; minor bugs fixed, a new component and a
  new option. No Halloween component, sorry\ldots{}

  \begin{itemize}
  \tightlist
  \item
    Added a laser diode component
    (\href{https://github.com/circuitikz/circuitikz/issues/591}{contributed
    by André Alves})
  \item
    Add the \texttt{override\ source\ vif} option and better describe
    source's voltage positioning in the manual
  \item
    fix \texttt{nobase} option with IGBT family (noticed by
    \href{https://tex.stackexchange.com/q/619334/38080}{user hinata exc
    on Stack Eschange})
  \item
    fix a problem with
    \href{https://github.com/circuitikz/circuitikz/issues/584}{legacy
    open voltage label position}
  \end{itemize}
\item
  Version 1.4.3 (2021-09-06)

  Minor release, mainly a single bugfix.

  \begin{itemize}
  \tightlist
  \item
    added hidden anchors of \texttt{ooosource} to the manual
  \item
    fix a bug in anchors of \texttt{ooosource} (they did not respect
    class scaling)
  \item
    faster \texttt{use\ fpu\ reciprocal} (thanks to Henri Menke)
  \end{itemize}
\item
  Version 1.4.2 (2021-07-26)

  This is a minor release, containing just a new component and a small
  set of fixes (mainly in the documentation).

  \begin{itemize}
  \tightlist
  \item
    add the \texttt{cpe} (constant phase element)
  \item
    correct minor errors in the manual (capacitor's fill, spaces) and
    the code.
  \end{itemize}
\item
  Version 1.4.1 (2021-07-14)

  This version has an important bug fix for label positioning when
  once-relative style coordinates are used (the ones with a single
  \texttt{+}, like \texttt{+(1,1)}. Moreover, the possibility to have
  voltage, current and flow labels \emph{without} the symbols (arrows,
  etc) has been added, which greatly simplify some kind of
  personalization of these elements.

  \begin{itemize}
  \tightlist
  \item
    Added the generic tunable macro
  \item
    Added \texttt{no\ v\ symbols} (and also for \texttt{i} and
    \texttt{f}), thanks to a
    \href{https://github.com/circuitikz/circuitikz/issues/567}{head-up
    by user judober on GitHub}, see also
    \href{https://github.com/circuitikz/circuitikz/issues/448}{issue
    448}
  \item
    Fixed
    \href{https://github.com/circuitikz/circuitikz/issues/569}{label
    position for +() style coordinates}
  \end{itemize}
\item
  Version 1.4.0 (2021-07-06)

  The main news is that \emph{package rollback} for \texttt{circuitikz}
  has been implemented (LaTeX-only, of course). Additionally, a small
  but important change in the path (\texttt{to}) construction that
  should fix some warning from Ti\emph{k}Z and give better line joins in
  wire corners.

  \begin{itemize}
  \tightlist
  \item
    bump version to 1.4.0
  \item
    implement the version rollback: time travel to 0.4!
  \item
    remove a wrong movement in the path construction (potentially
    dangerous)
  \end{itemize}
\item
  Version 1.3.9 (2021-06-27)

  Bugfix release: \texttt{open\ poles\ opacity} was not working in most
  of the cases.

  \begin{itemize}
  \tightlist
  \item
    minor fixes to the manual
  \item
    fix bug with \texttt{open\ poles\ opacity}; see
    \href{https://tex.stackexchange.com/questions/602251/circuitikz-redefine-open-nodes-fill-key-to-fill-none-so-that-open-circuit}{this
    question by Florian H.} for details.
  \end{itemize}
\item
  Version 1.3.8 (2021-06-15)

  The big news of this release is the ability to selectively draw the
  pins of the integrated circuit and mux-demuxes symbols.

  \begin{itemize}
  \tightlist
  \item
    Add \texttt{draw\ only\ pins} feature to \texttt{dipchip} and
    \texttt{qfpchip}, thanks to
    \href{https://github.com/circuitikz/circuitikz/pull/550}{Jonathan P.
    Spratte}, and a similar option to control the pins of
    \texttt{muxdemux}
  \item
    Make \texttt{dipchip} and \texttt{qfpchip} respect
    \texttt{no\ input\ leads} option
  \item
    Several corrections to the manual
  \end{itemize}
\item
  version 1.3.7 (2021-06-01)

  Minor release, mainly documentation upgrades.

  \begin{itemize}
  \tightlist
  \item
    New options for the line thickness, rotation and size of symbols
    drawn in sources
  \item
    New tutorial: drawing a circuit around an operational amplifier
  \item
    Documentation fixes and small enhancements
  \end{itemize}
\item
  version 1.3.6 (2021-05-09)

  Mainly a bugfix release; fixing a bug in the \texttt{l2} stacked
  labels means that old constructs that were failing silently can give
  an error now. Sorry. To compensate, I added stacked annotation (for
  symmetry).

  \begin{itemize}
  \tightlist
  \item
    Added stacked annotations for symmetry with stacked labels.
  \item
    Fixed a bug in the plotting of \texttt{inst\ amp\ ra} terminals.
  \item
    Fixed a bug in managing stacked labels (\texttt{l2=...}); possibly
    it will be mildly backward-incompatible (please see the manual about
    incompatible changes)
  \end{itemize}
\item
  Version 1.3.5 (2021-05-02)

  Power electronics devices are the main characters in this release:
  PUT, GTOs, a new style for thyristors, and a photovoltaic module.
  Additionally, an \textbf{experimental} support for subcircuits has
  been added; it could change in the future. Fixed a nasty bug in rotary
  switches ``in'' anchor positioning in some cases.

  \begin{itemize}
  \tightlist
  \item
    Added support for creating and using sub-circuits
  \item
    Added UJT transistors and GTO devices
    (\href{https://github.com/circuitikz/circuitikz/issues/522}{suggested
    by JetherReis})
  \item
    Added (as an option) a different, more compact style for
    thyristor-type devices.
  \item
    Added a photovoltaic module
    (\href{https://github.com/circuitikz/circuitikz/issues/524}{suggested
    by André Alves})
  \item
    Added a DC/DC converter block for symmetry
    (\href{https://github.com/circuitikz/circuitikz/issues/529}{suggested
    by Pratched})
  \item
    Added the possibility to change the waveforms shown in the
    oscilloscope
    (\href{https://tex.stackexchange.com/q/595062/38080}{suggested by
    Mario Tafur})
  \item
    In the manual, separate the component usage chapter from the big
    component list
  \item
    Fix wrong rotary switch ``in'' anchors for switches with more than
    180 degrees coverage
    (\href{https://github.com/circuitikz/circuitikz/issues/532}{see
    bug})
  \end{itemize}
\item
  Version 1.3.4 (2021-04-20)

  New things, like configurable modifier thickness, ferroelectric
  devices, and several transistor tweaks. Importantly, a bug that
  hindered compatibility with the internal Ti\emph{k}Z \texttt{circuits}
  library (introduced in 1.3.3) has been fixed.

  \begin{itemize}
  \tightlist
  \item
    Added separate configuration for the line thickness of resistors,
    capacitors, and inductors modifiers
  \item
    Added ferroelectric capacitors and ferroelectric gate MOS/FETs
    (\href{https://github.com/circuitikz/circuitikz/issues/515}{suggested
    by Mayeul Cantan})
  \item
    Added an option to fill the gate gap in MOSes, FETs and IGBTs with a
    color
  \item
    Added a ``centergap'' anchor for transistors
  \item
    Added the option ``nogate'' to the \texttt{hemt} symbol
  \item
    Fixed a bug in thermistors not respecting their class line thickness
  \item
    Fixes in the manual (copy and paste of snippets without numbers,
    correct old usage of \texttt{siunitx}, factor out repetitions in the
    preamble; \href{https://tex.stackexchange.com/a/57160/38080}{thanks
    to Ulrike Fischer}.
  \item
    Fixed a bug introduced in 1.3.3 that would reduce compatibility with
    the \texttt{circuits} internal library;
    \href{https://github.com/circuitikz/circuitikz/issues/519}{reported
    by JetherReis})
  \end{itemize}
\item
  Version 1.3.3 (2021-04-04)

  Several usability additions in this version, and one small fix that
  could change the look of your circuit (without affecting correctness).
  Some of the arrow shapes are now configurable.

  Do not use this version, there is a bug with the new ``label
  distance'' key.

  \begin{itemize}
  \tightlist
  \item
    Added options to fine-tune the position of labels and annotations
  \item
    Added options to change arrow tips on variable resistors, inductors
    and capacitors as well as in potentiometers
  \item
    Added options to change arrow tips on switches
  \item
    Added anchors to inductance to add core lines
  \item
    Fixed the default direction of tunable arrows (with an option to go
    back to the old ones)
  \end{itemize}
\item
  Version 1.3.2 (2021-03-14)

  \begin{itemize}
  \tightlist
  \item
    Added the simplified (2-waves) highpass and lowpass blocks
  \item
    Added graphene FETs (suggested by Cees Keyer)
  \item
    Added left/right anchors to transistors
  \item
    Fixed a \href{https://tex.stackexchange.com/q/587213/38080}{bug in
    flip-flops}
  \end{itemize}
\item
  Version 1.3.1 (2021-02-20)

  \begin{itemize}
  \tightlist
  \item
    Fixed a bug in ``fuse'' and ``afuse'' fill
  \item
    Remove the voltage direction warning. Nobody really ever cared
  \item
    Minor fixes and enhancements to the manual
  \end{itemize}
\item
  Version 1.3.0 (2021-01-19)

  \begin{itemize}
  \tightlist
  \item
    Fixed a long-standing problem with labels and similar decoration
    with equal signs and commas
  \item
    Fixed a typo in the manual (thanks to @muzimuzhi on GitHub)
  \item
    The Mother of All Code Refactoring: no real changes (modulo errors)
  \item
    Added a rollback point to 1.2.7
  \end{itemize}
\item
  Version 1.2.7 (2020-12-27)

  Bugfix release.

  \begin{itemize}
  \tightlist
  \item
    The recent temporary changes to TikZ to v3.1.8a revealed a problem
    in corner cases with \texttt{circuitikz} that should be fixed
    (thanks to Henri Menke)
  \end{itemize}
\item
  Version 1.2.6 (2020-12-16)

  The highlight of this release is the option to draw circles around
  transistors; moreover, a handful of new component and several bug
  fixes.

  \begin{itemize}
  \tightlist
  \item
    added option to have transistors with circles, suggested by user
    \texttt{@myzinsky}
  \item
    added closed position for normally open button and the other way
    around (suggested by user \texttt{@septatrix})
  \item
    added a \texttt{tip} anchor for push buttons
  \item
    added text anchor for legacy \texttt{linestub} component
  \item
    added an option for a different style of european logic xnor port
    (suggested by user \texttt{@Schlepptop})
  \item
    added dynode tubes electrodes (suggested by user
    \texttt{@ferdymercury})
  \item
    fixed a bug in style-files (thanks to user \texttt{@Alex} on
    \texttt{tex.stackexchange.com})
  \item
    added a comment about relative coords (thanks to user
    \texttt{@septatrix})
  \item
    several fixes to the manual
  \end{itemize}
\item
  Version 1.2.5 (2020-10-14)

  Mainly a bugfix release for \texttt{raised} voltage style.

  \begin{itemize}
  \tightlist
  \item
    added macro to access labels and annotations anchors and direction
  \item
    fixed a bug in ``raised'' voltages' positions with \texttt{invert}
    and/or \texttt{mirror}
  \end{itemize}
\item
  Version 1.2.4 (2020-10-04)

  \begin{itemize}
  \tightlist
  \item
    several documentation enhancment
  \item
    added a couple of block elements: allpass filter, generic two-sides
    block (suggested by user \texttt{@myzinsky})
  \item
    added transmission gate (only IEEE style version) suggested by
    several users (\texttt{@SJulianS} on github, Philipp Birkl on
    \texttt{TeX.SX})
  \item
    added a resistive splitter block symbol by \texttt{@matthuszagh}
  \item
    added depletion-type \texttt{nmosd} and \texttt{pmosd} MOSFET
    simplified symbols
  \item
    added depletion-type \texttt{nfetd} and \texttt{pfetd} for plain
    full-symbol MOSFET
  \end{itemize}
\item
  Version 1.2.3 (2020-08-07)

  Several fixes and small enhancement all over the map, changes in the
  documentation to better explain the reasons and effect of the
  path-building changes of 1.2.0 and 1.2.1.

  \begin{itemize}
  \tightlist
  \item
    added a Mach-Zehnder-Modulator block symbol as node \texttt{mzm} by
    user \texttt{@dl1chb}
  \item
    add an \texttt{open\ poles\ fill} option to simplify circuits where
    the background is different from white
  \item
    restyled the FAQ and added the explanation of ``gaps with
    \texttt{nodes}'' that happens again after 1.2.1
  \item
    Fixed size of ``not circle'' in flip-flops to match european style
    \texttt{not\ circle} when used without the IEEE style
  \item
    Block anchors: add border anchors for round elements and deprecate
    old 1, 2, 3, 4 anchors
  \item
    Fixed some bipole border size to avoid overlapping labels; document
    it
  \end{itemize}
\item
  Version 1.2.2 (2020-07-15)

  Bug-fix release: coordinate name leakage. The node and coordinate
  names are global; the internal coordinate names have been made
  stronger.
\item
  Version 1.2.1 (2020-07-06)

  Several changes, both internal and user-visible. These are quite
  risky, although they \emph{should} be backward-compatible (if the
  circuit code is correct).

  From the user point of view:

  \begin{itemize}
  \tightlist
  \item
    there is now a new style of voltages (``raised American'')
  \item
    a powerful mechanism for customize voltages, current and flows has
    been added.
  \end{itemize}

  The internal changes are basically the re-implementation of the macros
  that draw the path elements (\texttt{to{[}...{]}}), which have been
  completely rewritten. Please be sure to read the possible
  incompatibilities in the manual (section 1.9).

  \begin{itemize}
  \tightlist
  \item
    Added access to voltages, currents and flows anchors
  \item
    Added ``raised american'' voltage style
  \item
    Rewrite of the path generation macros
  \item
    Several small bugs fixed (no one ever used some
    ``f\^{}\textgreater{}'' options\ldots)
  \end{itemize}
\item
  Version 1.2.0 (2020-06-21)

  In this release, the big change is the rewriting of the voltages
  output routine. Now all voltage options (american, european, and
  straight) take into account the shape (square border) of the
  component. The adjusting parameters are now (at least for passive
  elements) acting in similar way for all the options, too.

  \begin{itemize}
  \tightlist
  \item
    Bumped version number to 1.2 (potentially incompatible changes!)
  \item
    Added 1.1.2 checkpoint
  \item
    New path-style not, buffer, and Schmitt logic ports
  \item
    New tutorial (using the ``inline not'' component)
  \item
    Voltage output routine rewrite; now it takes into account the shape
    of the component also for ``american'' and ``straight'' voltages
  \item
    Several fixes in the logic ports: fixed IEEE \texttt{invschmitt}
    name, added symmetry to the three-style shorthands for the ports,
    and so on
  \item
    Fixed a gross bug in square poles anchor borders
  \item
    Fixed size of not circles in flip-flops (based on logic ports style)
  \item
    Fixed the order of initial options, to avoid ``european''
    overwriting single options
  \end{itemize}
\item
  Version 1.1.2 (2020-05-17)

  \begin{itemize}
  \tightlist
  \item
    Blocks and component for three-phase networks (3-lines wire, AC/DC
    and DC/AC converters blocks and grid node block) added by user
    \texttt{@olfline} on GitHub
  \item
    added transformer sources with optional vector groups for
    three-phase networks by \texttt{@olfline} on Github
  \item
    added subsections to the examples
  \item
    fixed position of american voltages on open circuits (suggested by
    user \texttt{@rhandley} on GitHub)
  \end{itemize}
\item
  Version 1.1.1 (2020-04-24)

  One-line bugfix release for the IEEE ports ``not'' circle thickness
\item
  Version 1.1.0 (2020-04-19)

  Version bumped to 1.1 because the new logic ports are quite a big
  addition: now there is a new style for logic ports, conforming to IEEE
  recommendations.

  Several minor additions all over the map too.

  \begin{itemize}
  \tightlist
  \item
    added IEEE standard logic ports suggested by user Jason-s on GitHub
  \item
    added configurability to european logic port ``not'' output symbol,
    suggested by j-hap on GitHub
  \item
    added \texttt{inerter} component by user Tadashi on GitHub
  \item
    added variable outer base height for IGBT, suggested by user RA-EE
    on GitHub
  \item
    added configurable ``+'' and ``-'' signs on american-style voltage
    generators
  \item
    text on amplifiers can be positioned to the left or centered
  \end{itemize}
\item
  Version 1.0.2 (2020-03-22)

  \begin{itemize}
  \tightlist
  \item
    added Schottky transistors (thanks to a suggestion by Jérôme
    Monclard on GitHub)
  \item
    fixed formatting of \texttt{CHANGELOG.md}
  \end{itemize}
\item
  Version 1.0.1 (2020-02-22)

  Minor fixes and addition to 1.0, in time to catch the freeze for
  TL2020.

  \begin{itemize}
  \tightlist
  \item
    add v1.0 version snapshots
  \item
    added crossed generic impedance (suggested by Radványi Patrik Tamás)
  \item
    added open barrier bipole (suggested by Radványi Patrik Tamás)
  \item
    added two flags to flip the direction of light's arrows on LED and
    photodiode (suggested by karlkappe on GitHub)
  \item
    added a special key to help with precision loss in case of
    fractional scaling (thanks to AndreaDiPietro92 on GitHub for
    noticing and reporting, and to Schrödinger's cat for finding a fix)
  \item
    fixed a nasty bug for the flat file generation for ConTeXt
  \end{itemize}
\item
  Version 1.0 (2020-02-04)

  And finally\ldots{} version 1.0 (2020-02-04) of \texttt{circuitikz} is
  released.

  The main updates since version 0.8.3, which was the last release
  before Romano started co-maintaining the project, are the following
  --- part coded by Romano, part by several collaborators around the
  internet:

  \begin{itemize}
  \tightlist
  \item
    The manual has been reorganized and extended, with the addition of a
    tutorial part; tens of examples have been added all over the map.
  \item
    Around 74 new shapes where added. Notably, now there are chips,
    mux-demuxes, multi-terminal transistors, several types of switches,
    flip-flops, vacuum tubes, 7-segment displays, more amplifiers, and
    so on.
  \item
    Several existing shapes have been enhanced; for example, logic gates
    have a variable number of inputs, transistors are more configurable,
    resistors can be shaped more, and more.
  \item
    You can style your circuit, changing relative sizes, default
    thickness and fill color, and more details of how you like your
    circuit to look; the same you can do with labels (voltages,
    currents, names of components and so on).
  \item
    A lot of bugs have been squashed; especially the (very complex)
    voltage direction conundrum has been clarified and you can choose
    your preferred style here too.
  \end{itemize}
\end{itemize}

A detailed list of changes can be seen below.

\begin{itemize}
\item
  Version 1.0.0-pre3 (not released)

  \begin{itemize}
  \tightlist
  \item
    Added a Reed switch
  \item
    Put the copyright and license notices on all files and update them
  \item
    Fixed the loading of style; we should not guard against reload
  \end{itemize}
\item
  Version 1.0.0-pre2 (2020-01-23)

  \textbf{Really} last additions toward the 1.0.0 version. The most
  important change is the addition of multiplexer and de-multiplexers;
  also added the multi-wires (bus) markers.

  \begin{itemize}
  \tightlist
  \item
    Added mux-demux shapes
  \item
    Added the possibility to suppress the input leads in logic gates
  \item
    Added multiple wires markers
  \item
    Added a style to switch off the automatic rotation of instruments
  \item
    Changed the shape of the or-type american logic ports (reversible
    with a flag)
  \end{itemize}
\item
  Version 1.0.0-pre1 (2019-12-22)

  Last additions before the long promised 1.0! In this pre-release we
  feature a flip-flop library, a revamped configurability of amplifiers
  (and a new amplifier as a bonus) and some bug fix around the clock.

  \begin{itemize}
  \tightlist
  \item
    Added a flip-flop library
  \item
    Added a single-input generic amplifier with the same dimension as
    ``plain amp''
  \item
    Added border anchors to amplifiers
  \item
    Added the possibility (expert only!) to add transparency to poles
    (after a suggestion from user @matthuszagh on GitHub)
  \item
    Make plus and minus symbol on amplifiers configurable
  \item
    Adjusted the position of text in triangular amplifiers
  \item
    Fixed ``plain amp'' not respecting ``noinv input up''
  \item
    Fixed minor incompatibility with ConTeXt and Plain TeX
  \end{itemize}
\item
  Version 0.9.7 (2019-12-01)

  The important thing in this release is the new position of
  transistor's labels; see the manual for details.

  \begin{itemize}
  \tightlist
  \item
    Fix the position of transistor's text. There is an option to revert
    to the old behavior.
  \item
    Added anchors for adding circuits (like snubbers) to the flyback
    diodes in transistors (after a suggestion from @EdAlvesSilva on
    GitHub).
  \end{itemize}
\item
  Version 0.9.6 (2019-11-09)

  The highlights of this release are the new multiple terminals BJTs and
  several stylistic addition and fixes; if you like to pixel-peep, you
  will like the fixed transistors arrows. Additionally, the transformers
  are much more configurable now, the ``pmos'' and ``nmos'' elements
  have grown an optional bulk connection, and you can use the ``flow''
  arrows outside of a path.

  Several small and less small bugs have been fixed.

  \begin{itemize}
  \tightlist
  \item
    Added multi-collectors and multi-emitter bipolar transistors
  \item
    Added the possibility to style each one of the two coils in a
    transformer independently
  \item
    Added bulk connection to normal MOSFETs and the respective anchors
  \item
    Added ``text'' anchor to the flow arrows, to use them alone in a
    consistent way
  \item
    Fixed flow, voltage, and current arrow positioning when ``auto'' is
    active on the path
  \item
    Fixed transistors arrows overshooting the connection point, added a
    couple of anchors
  \item
    Fixed a spelling error on op-amp key ``noinv input down''
  \item
    Fixed a problem with ``quadpoles style=inner'' and ``transformer
    core'' having the core lines running too near
  \end{itemize}
\item
  Version 0.9.5 (2019-10-12)

  This release basically add features to better control labels, voltages
  and similar text ``ornaments'' on bipoles, plus some other minor
  things.

  On the bug fixes side, a big incompatibility with ConTeXt has been
  fixed, thanks to help from \texttt{@TheTeXnician} and \texttt{@hmenke}
  on \texttt{github.com}.

  \begin{itemize}
  \tightlist
  \item
    Added a ``midtap'' anchor for coils and exposed the inner coils
    shapes in the transformers
  \item
    Added a ``curved capacitor'' with polarity coherent with
    ``ecapacitor''
  \item
    Added the possibility to apply style and access the nodes of
    bipole's text ornaments (labels, annotations, voltages, currents and
    flows)
  \item
    Added the possibility to move the wiper in resistive potentiometers
  \item
    Added a command to load and set a style in one go
  \item
    Fixed internal font changing commands for compatibility with ConTeXt
  \item
    Fixed hardcoded black color in ``elko'' and ``elmech''
  \end{itemize}
\item
  Version 0.9.4 (2019-08-30)

  This release introduces two changes: a big one, which is the styling
  of the components (please look at the manual for details) and a change
  to how voltage labels and arrows are positioned. This one should be
  backward compatible \emph{unless} you used \texttt{voltage\ shift}
  introduced in 0.9.0, which was broken when using the global
  \texttt{scale} parameter.

  The styling additions are quite big, and, although in principle they
  are backward compatible, you can find corner cases where they are not,
  especially if you used to change parameters for
  \texttt{pgfcirc.defines.tex}; so a snapshot for the 0.9.3 version is
  available.

  \begin{itemize}
  \tightlist
  \item
    Fixed a bug with ``inline'' gyrators, now the circle will not
    overlap
  \item
    Fixed a bug in input anchors of european not ports
  \item
    Fixed ``tlinestub'' so that it has the same default size than
    ``tline'' (TL)
  \item
    Fixed the ``transistor arrows at end'' feature, added to styling
  \item
    Changed the behavior of ``voltage shift'' and voltage label
    positioning to be more robust
  \item
    Added several new anchors for ``elmech'' element
  \item
    Several minor fixes in some component drawings to allow fill and
    thickness styles
  \item
    Add 0.9.3 version snapshots.
  \item
    Added styling of relative size of components (at a global or local
    level)
  \item
    Added styling for fill color and thickeness
  \item
    Added style files
  \end{itemize}
\item
  Version 0.9.3 (2019-07-13)

  \begin{itemize}
  \tightlist
  \item
    Added the option to have ``dotless'' P-MOS (to use with arrowmos
    option)
  \item
    Fixed a (puzzling) problem with coupler2
  \item
    Fixed a compatibility problem with newer PGF (\textgreater3.0.1a)
  \end{itemize}
\item
  Version 0.9.2 (2019-06-21)

  \begin{itemize}
  \tightlist
  \item
    (hopefully) fixed ConTeXt compatibility. Most new functionality is
    not tested; testers and developers for the ConTeXt side are needed.
  \item
    Added old ConTeXt version for 0.8.3
  \item
    Added tailless ground
  \end{itemize}
\item
  Version 0.9.1 (2019-06-16)

  \begin{itemize}
  \tightlist
  \item
    Added old LaTeX versions for 0.8.3, 0.7, 0.6 and 0.4
  \item
    Added the option to have inline transformers and gyrators
  \item
    Added rotary switches
  \item
    Added more configurable bipole nodes (connectors) and more shapes
  \item
    Added 7-segment displays
  \item
    Added vacuum tubes by J. op den Brouw
  \item
    Made the open shape of dcisources configurable
  \item
    Made the arrows on vcc and vee configurable
  \item
    Fixed anchors of diamondpole nodes
  \item
    Fixed a bug (\#205) about unstable anchors in the chip components
  \item
    Fixed a regression in label placement for some values of scaling
  \item
    Fixed problems with cute switches anchors
  \end{itemize}
\item
  Version 0.9.0 (2019-05-10)

  \begin{itemize}
  \tightlist
  \item
    Added Romano Giannetti as contributor
  \item
    Added a CONTRIBUTING file
  \item
    Added options for solving the voltage direction problems.
  \item
    Adjusted ground symbols to better match ISO standard, added new
    symbols
  \item
    Added new sources (cute european versions, noise sources)
  \item
    Added new types of amplifiers, and option to flip inputs and outputs
  \item
    Added bidirectional diodes (diac) thanks to Andre Lucas Chinazzo
  \item
    Added L,R,C sensors (with european, american and cute variants)
  \item
    Added stacked labels (thanks to the original work by Claudio
    Fiandrino)
  \item
    Make the position of voltage symbols adjustable
  \item
    Make the position of arrows in FETs and BJTs adjustable
  \item
    Added chips (DIP, QFP) with a generic number of pins
  \item
    Added special anchors for transformers (and fixed the wrong center
    anchor)
  \item
    Changed the logical port implementation to multiple inputs (thanks
    to John Kormylo) with border anchors.
  \item
    Added several symbols: bulb, new switches, new antennas,
    loudspeaker, microphone, coaxial connector, viscoelastic element
  \item
    Make most components fillable
  \item
    Added the oscilloscope component and several new instruments
  \item
    Added viscoelastic element
  \item
    Added a manual section on how to define new components
  \item
    Fixed american voltage symbols and allow to customize them
  \item
    Fixed placement of straightlabels in several cases
  \item
    Fixed a bug about straightlabels (thanks to @fotesan)
  \item
    Fixed labels spacing so that they are independent on scale factor
  \item
    Fixed the position of text labels in amplifiers
  \end{itemize}
\item
  Version 0.8.3 (2017-05-28)

  \begin{itemize}
  \tightlist
  \item
    Removed unwanted lines at to-paths if the starting point is a node
    without a explicit anchor.
  \item
    Fixed scaling option, now all parts are scaled by bipoles/length
  \item
    Surge arrester appears no more if a to path is used without
    {[}{]}-options
  \item
    Fixed current placement now possible with paths at an angle of
    around 280°
  \item
    Fixed voltage placement now possible with paths at an angle of
    around 280°
  \item
    Fixed label and annotation placement (at some angles position not
    changable)
  \item
    Adjustable default distance for straight-voltages:
    `bipoles/voltage/straight label distance'
  \item
    Added Symbol for bandstop filter
  \item
    New annotation type to show flows using f=\ldots{} like currents,
    can be used for thermal, power or current flows
  \end{itemize}
\item
  Version 0.8.2 (2017-05-01)

  \begin{itemize}
  \tightlist
  \item
    Fixes pgfkeys error using alternatively specified mixed colors(see
    pgfplots manual section ``4.7.5 Colors'')
  \item
    Added new switches ``ncs'' and ``nos''
  \item
    Reworked arrows at spst-switches
  \item
    Fixed direction of controlled american voltage source
  \item
    ``v\textless='' and ``i\textless='' do not rotate the sources
    anymore(see them as ``counting direction indication'', this can be
    different then the shape orientation); Use the option ``invert'' to
    change the direction of the source/apperance of the shape.
  \item
    current label ``i='' can now be used independent of the regular
    label ``l='' at current sources
  \item
    rewrite of current arrow placement. Current arrows can now also be
    rotated on zero-length paths
  \item
    New DIN/EN compliant operational amplifier symbol ``en amp''
  \end{itemize}
\item
  Version 0.8.1 (2017-03-25)

  \begin{itemize}
  \tightlist
  \item
    Fixed unwanted line through components if target coordinate is a
    name of a node
  \item
    Fixed position of labels with subscript letters.
  \item
    Absolute distance calculation in terms of ex at rotated labels
  \item
    Fixed label for transistor paths (no label drawn)
  \end{itemize}
\item
  Version 0.8 (2017-03-08)

  \begin{itemize}
  \tightlist
  \item
    Allow use of voltage label at a {[}short{]}
  \item
    Correct line joins between path components (to{[}\ldots{]})
  \item
    New Pole-shape .-. to fill perpendicular joins
  \item
    Fixed direction of controlled american current source
  \item
    Fixed incorrect scaling of magnetron
  \item
    Fixed: Number of american inductor coils not adjustable
  \item
    Fixed Battery Symbols and added new battery2 symbol
  \item
    Added non-inverting Schmitttrigger
  \end{itemize}
\item
  Version 0.7 (2016-09-08)

  \begin{itemize}
  \tightlist
  \item
    Added second annotation label, showing, e.g., the value of an
    component
  \item
    Added new symbol: magnetron
  \item
    Fixed name conflict of diamond shape with tikz.shapes package
  \item
    Fixed varcap symbol at small scalings
  \item
    New packet-option ``straightvoltages, to draw straight(no curved)
    voltage arrows
  \item
    New option ``invert'' to revert the node direction at paths
  \item
    Fixed american voltage label at special sources and battery
  \item
    Fixed/rotated battery symbol(longer lines by default positive
    voltage)
  \item
    New symbol Schmitttrigger
  \end{itemize}
\item
  Version 0.6 (2016-06-06)

  \begin{itemize}
  \tightlist
  \item
    Added Mechanical Symbols (damper,mass,spring)
  \item
    Added new connection style diamond, use (d-d)
  \item
    Added new sources voosource and ioosource (double zero-style)
  \item
    All diode can now drawn in a stroked way, just use globel option
    ``strokediode'' or stroke instead of full/empty, or D-. Use this
    option for compliance with DIN standard EN-60617
  \item
    Improved Shape of Diodes:tunnel diode, Zener diode, schottky diode
    (bit longer lines at cathode)
  \item
    Reworked igbt: New anchors G,gate and new L-shaped form Lnigbt,
    Lpigbt
  \item
    Improved shape of all fet-transistors and mirrored p-chan fets as
    default, as pnp, pmos, pfet are already. This means a
    backward-incompatibility, but smaller code, because p-channels
    mosfet are by default in the correct direction(source at top). Just
    remove the `yscale=-1' from your p-chan fets at old pictures.
  \end{itemize}
\item
  Version 0.5 (2016-04-24)

  \begin{itemize}
  \tightlist
  \item
    new option boxed and dashed for hf-symbols
  \item
    new option solderdot to enable/disable solderdot at source port of
    some fets
  \item
    new parts: photovoltaic source, piezo crystal, electrolytic
    capacitor, electromechanical device(motor, generator)
  \item
    corrected voltage and current direction(option to use old behaviour)
  \item
    option to show body diode at fet transistors
  \end{itemize}
\item
  Version 0.4

  \begin{itemize}
  \tightlist
  \item
    minor improvements to documentation
  \item
    comply with TDS
  \item
    merge high frequency symbols by Stefan Erhardt
  \item
    added switch (not opening nor closing)
  \item
    added solder dot in some transistors
  \item
    improved ConTeXt compatibility
  \end{itemize}
\item
  Version 0.3.1

  \begin{itemize}
  \tightlist
  \item
    different management of color\ldots{}
  \item
    fixed typo in documentation
  \item
    fixed an error in the angle computation in voltage and current
    routines
  \item
    fixed problem with label size when scaling a tikz picture
  \item
    added gas filled surge arrester
  \item
    added compatibility option to work with Tikz's own circuit library
  \item
    fixed infinite in arctan computation
  \end{itemize}
\item
  Version 0.3.0

  \begin{itemize}
  \tightlist
  \item
    fixed gate node for a few transistors
  \item
    added mixer
  \item
    added fully differential op amp (by Kristofer M. Monisit)
  \item
    now general settings for the drawing of voltage can be overridden
    for specific components
  \item
    made arrows more homogeneous (either the current one, or latex' bt
    pgf)
  \item
    added the single battery cell
  \item
    added fuse and asymmetric fuse
  \item
    added toggle switch
  \item
    added varistor, photoresistor, thermocouple, push button
  \item
    added thermistor, thermistor ptc, thermistor ptc
  \item
    fixed misalignment of voltage label in vertical bipoles with names
  \item
    added isfet
  \item
    added noiseless, protective, chassis, signal and reference grounds
    (Luigi «Liverpool»)
  \end{itemize}
\item
  Version 0.2.4

  \begin{itemize}
  \tightlist
  \item
    added square voltage source (contributed by Alistair Kwan)
  \item
    added buffer and plain amplifier (contributed by Danilo Piazzalunga)
  \item
    added squid and barrier (contributed by Cor Molenaar)
  \item
    added antenna and transmission line symbols contributed by Leonardo
    Azzinnari
  \item
    added the changeover switch spdt (suggestion of Fabio Maria
    Antoniali)
  \item
    rename of context.tex and context.pdf (thanks to Karl Berry)
  \item
    updated the email address
  \item
    in documentation, fixed wrong (non-standard) labelling of the axis
    in an example (thanks to prof. Claudio Beccaria)
  \item
    fixed scaling inconsistencies in quadrupoles
  \item
    fixed division by zero error on certain vertical paths
  \item
    introduced options straighlabels, rotatelabels, smartlabels
  \end{itemize}
\item
  Version 0.2.3

  \begin{itemize}
  \tightlist
  \item
    fixed compatibility problem with label option from tikz
  \item
    Fixed resizing problem for shape ground
  \item
    Variable capacitor
  \item
    polarized capacitor
  \item
    ConTeXt support (read the manual!)
  \item
    nfet, nigfete, nigfetd, pfet, pigfete, pigfetd (contribution of
    Clemens Helfmeier and Theodor Borsche)
  \item
    njfet, pjfet (contribution of Danilo Piazzalunga)
  \item
    pigbt, nigbt
  \item
    \emph{backward incompatibility} potentiometer is now the standard
    resistor-with-arrow-in-the-middle; the old potentiometer is now
    known as variable resistor (or vR), similarly to variable inductor
    and variable capacitor
  \item
    triac, thyristor, memristor
  \item
    new property ``name'' for bipoles
  \item
    fixed voltage problem for batteries in american voltage mode
  \item
    european logic gates
  \item
    \emph{backward incompatibility} new american standard inductor. Old
    american inductor now called ``cute inductor''
  \item
    \emph{backward incompatibility} transformer now linked with the
    chosen type of inductor, and version with core, too. Similarly for
    variable inductor
  \item
    \emph{backward incompatibility} styles for selecting shape variants
    now end are in the plural to avoid conflict with paths
  \item
    new placing option for some tripoles (mostly transistors)
  \item
    mirror path style
  \end{itemize}
\item
  Version 0.2.2 - 20090520

  \begin{itemize}
  \tightlist
  \item
    Added the shape for lamps.
  \item
    Added options \texttt{europeanresistor}, \texttt{europeaninductor},
    \texttt{americanresistor} and \texttt{americaninductor}, with
    corresponding styles.
  \item
    FIXED: error in transistor arrow positioning and direction under
    negative \texttt{xscale} and \texttt{yscale}.
  \end{itemize}
\item
  Version 0.2.1 - 20090503

  \begin{itemize}
  \tightlist
  \item
    Op-amps added
  \item
    added options arrowmos and noarrowmos, to add arrows to pmos and
    nmos
  \end{itemize}
\item
  Version 0.2 - 20090417 First public release on CTAN

  \begin{itemize}
  \tightlist
  \item
    \emph{Backward incompatibility}: labels ending with
    \texttt{:}\textit{angle} are not parsed for positioning anymore.
  \item
    Full use of \TikZ~keyval features.
  \item
    White background is not filled anymore: now the network can be drawn
    on a background picture as well.
  \item
    Several new components added (logical ports, transistors, double
    bipoles, \ldots).
  \item
    Color support.
  \item
    Integration with \{\ttfamily siunitx\}.
  \item
    Voltage, american style.
  \item
    Better code, perhaps. General cleanup at the very least.
  \end{itemize}
\item
  Version 0.1 - 2007-10-29 First public release
\end{itemize}
